package com.consultingwerk.plugins.smartunitlaunchconfig.delegates;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.ILaunchConfiguration;

/**
 * Delegate for launching SmartUnit test classes
 */
public class TestClassDelegate 
	extends SmartUnitDelegate
{
    /**
     * Launches the given configuration
     * @param configuration the configuration to launch
     * @param mode The mode to launch (run, debug,..)
     * @param launch The launch object
     * @param monitor The ProgressMonitor to use
     */
	@Override
	public void launch (ILaunchConfiguration configuration, 
						String mode, 
						ILaunch launch, 
						IProgressMonitor monitor)
	{
	    super.launch (configuration, mode, launch, monitor);
	}
}
