package com.consultingwerk.plugins.smartunitlaunchconfig.ui.tabgroups;

import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.CommonTab;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;
import com.consultingwerk.plugins.smartunitlaunchconfig.ui.tabs.SmartUnitTab;

/**
 * TabGroup for defined SmartUnit scenario test launch configurations
 */
public class ScenarioTabGroup 
    extends AbstractLaunchConfigurationTabGroup 
{
    /**
     * Creates tabs for a scenario
     */
    @Override
    public void createTabs (ILaunchConfigurationDialog dialog, 
                            String mode) 
    {
        setTabs(new ILaunchConfigurationTab[] {new SmartUnitTab (SmartUnitTab.ScenarioTest),
                                               new CommonTab ()
                                              } );    
    }

}
