package com.consultingwerk.plugins.smartunitlaunchconfig;

/**
 * Constant values for preferences and IDs used in the code
 */
public interface SmartUnitAttributes 
{
    /* PreferenceStore */
    public static final String Store = "com.consultingwerk.plugins.smartunitlaunchconfig.preferencestore";
    
    /* Preferences */
    public static final String TestFile        = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.testfile";
    public static final String TestMethod      = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.testmethod";
    public static final String Output          = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.output";
    public static final String ANT             = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.ant";
    public static final String BuildFile       = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.buildfile";
    public static final String TestClassTarget = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.testclasstarget";
    public static final String ScenarioTarget  = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.scenariotarget";
    public static final String AntArguments    = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.antarguments";
    public static final String JRE             = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.jre";
    public static final String UseConsole      = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.useconsole";
    public static final String Services        = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.services";
    public static final String UseProfiler     = "com.consultingwerk.plugins.smartunitlaunchconfig.attributes.useprofiler";

    /* Plugin IDs */
    public static final String PluginID           = "com.consultingwerk.plugins.smartunitlaunchconfig";
    public static final String ScenarioTestTypeID = "com.consultingwerk.plugins.smartunitlaunchconfig.types.ScenarioTestType";
    public static final String TestClassTypeID    = "com.consultingwerk.plugins.smartunitlaunchconfig.types.TestClassType";
    public static final String SmartUnitViewID    = "com.consultingwerk.plugins.smartunitlaunchconfig.ui.views.SmartUnitView";
}
