package com.consultingwerk.plugins.smartunitlaunchconfig.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import com.consultingwerk.plugins.common.utilities.PreferencesHelper;
import com.consultingwerk.plugins.smartunitlaunchconfig.SmartUnitAttributes;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/**
	 * Initializes the default preferences
	 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = PreferencesHelper.getStore(SmartUnitAttributes.Store);
		store.setDefault(PreferenceConstants.P_BOOLEAN, true);
		store.setDefault(PreferenceConstants.P_CHOICE, "choice2");
		store.setDefault(PreferenceConstants.P_STRING,
				"Default value");
	}

}
