package com.consultingwerk.plugins.smartunitlaunchconfig.ui.tabgroups;

import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.CommonTab;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;
import com.consultingwerk.plugins.smartunitlaunchconfig.ui.tabs.SmartUnitTab;

/**
 * TabGroup for defined SmartUnit test class launch configurations
 */
public class TestClassTabGroup 
    extends AbstractLaunchConfigurationTabGroup 
{
    /**
     * Creates tabs for a test class
     */
    @Override
    public void createTabs(ILaunchConfigurationDialog dialog, String mode) 
    {
        setTabs(new ILaunchConfigurationTab[] {new SmartUnitTab (SmartUnitTab.TestClass),
                                               new CommonTab ()
                                              } );   
    }

}
